---
api: 'Business API'
---

# Retrieve card invitation details

Get the details of a specific card invitation, based on its ID.

:::note
- This feature is not available in Sandbox.
- To increase your account's card limits, please contact [Revolut API Support](mailto:api-requests@revolut.com).
:::

For more information, see the guides: [Manage card invitations](/docs/guides/manage-accounts/cards/manage-card-invitations).

## Endpoint

GET `/card-invitations/{card_invitation_id}`

## Parameters

### path parameters

- `card_invitation_id` (string, required)
  The ID of the card invitation.

## Returns

### 200

Information about the card invitation

#### Response attributes

- `id` (string)
    The ID of the card invitation.
- `state` (enum)
    The current state of the card invitation:
    - **`created`**: Invitation has been created but not yet claimed.
    - **`expired`**: Invitation has expired due to expiry date being reached or manual cancellation.
    - **`failed`**: Invitation claim attempt failed.
    - **`redeemed`**: Invitation has been successfully claimed.
    
    To learn more about card invitation lifecycle, see the guide: [Manage card invitations → Card invitation state](/docs/guides/manage-accounts/cards/manage-card-invitations#card-invitation-state).
    Possible enum values:

    - `created`
    - `expired`
    - `failed`
    - `redeemed`
- `created_at` (string)
    The date and time the card invitation was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The date and time the card invitation was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `expiry_date` (string, optional)
    The date and time after which this card invitation expires if not claimed or cancelled before then.
    Specified in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
    :::note
    Only returned for invitations in state `created`.
    :::tip
    For other states, to find out when a card invitation transitioned to its [final state](/docs/guides/manage-accounts/cards/manage-card-invitations#card-invitation-state), check the `updated_at` value. 
    :::
- `card_id` (string, optional)
    The ID of the card issued after this invitation was claimed. 
    :::note
    Only returned for invitations in state `redeemed`.
    :::
- `holder_id` (string, optional)
    The ID of the team member to be assigned as the holder of the card after the invitation is claimed.
    
    :::note
    If the team member has been deleted since the invitation was created, the `holder_id` is not returned.
    :::
- `virtual` (boolean)
    Specifies whether the issued card will be a virtual (`true`) or physical (`false`) one.
- `label` (string, optional)
    The label of the card.
- `spend_program` (object, optional)
    The [spend program](https://help.revolut.com/business/help/making-paymentsbusiness/spend-controls/setting-card-presets-for-my-team-members/) assigned to the card.
    :::note
    To use this property, please contact [Revolut API Support](mailto:api-requests@revolut.com).
    :::
  - `spend_program.label` (string)
      The name of the spend program.
- `spending_limits` (object, optional)
    All spending limits set for the card.
  - `spending_limits.single` (object, optional)
      The limit for a single transaction.
    - `spending_limits.single.amount` (number)
        The value of the spending limit.
    - `spending_limits.single.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
  - `spending_limits.day` (object, optional)
      The daily limit for transactions.
    - `spending_limits.day.amount` (number)
        The value of the spending limit.
    - `spending_limits.day.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
  - `spending_limits.week` (object, optional)
      The weekly limit for transactions.
    - `spending_limits.week.amount` (number)
        The value of the spending limit.
    - `spending_limits.week.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
  - `spending_limits.month` (object, optional)
      The monthly limit for transactions.
    - `spending_limits.month.amount` (number)
        The value of the spending limit.
    - `spending_limits.month.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
  - `spending_limits.quarter` (object, optional)
      The quarterly limit for transactions.
    - `spending_limits.quarter.amount` (number)
        The value of the spending limit.
    - `spending_limits.quarter.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
  - `spending_limits.year` (object, optional)
      The yearly limit for transactions.
    - `spending_limits.year.amount` (number)
        The value of the spending limit.
    - `spending_limits.year.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
  - `spending_limits.all_time` (object, optional)
      The all-time limit for transactions.
    - `spending_limits.all_time.amount` (number)
        The value of the spending limit.
    - `spending_limits.all_time.currency` (string)
        The currency of the spending limit, provided as [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code in upper case.
- `spending_period` (object, optional)
    The controls for the card's spending period.
    
    They specify the dates when the card will become available or unavailable for spending, and define what happens after the end date.
  - `spending_period.start_date` (string, optional)
      The start date (inclusive) of the spending period, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format (`YYYY-MM-DD`).
      Uses the [timezone set by the business](https://business.revolut.com/settings/appearance), or defaults to `Europe/London`.
  - `spending_period.end_date` (string, optional)
      The end date (inclusive) of the spending period, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format (`YYYY-MM-DD`).
      Uses the [timezone set by the business](https://business.revolut.com/settings/appearance), or defaults to `Europe/London`.
  - `spending_period.end_date_action` (enum, optional)
      The action to take after the end date of the spending period.
      Possible enum values:

      - `lock`
      - `terminate`
- `categories` (array of enum, optional)
    The list of merchant categories that will be available for card spending.             
    If this parameter is not specified, categories are not restricted.
- `merchant_controls` (object, optional)
    The merchant-level controls for card spending.
    
    They block or allow the card to only transact with specific merchants: 
    - `allow`: permits only the specified merchants (cannot be used if the `categories` parameter is set)
    - `block`: blocks the specified merchants (can be used with or without `categories`)
  - `merchant_controls.control_type` (enum)
      The type of control to apply.
      Possible enum values:

      - `block`
      - `allow`
  - `merchant_controls.merchant_ids` (array of string)
      The list of IDs of merchants to which the control applies.
      
      :::tip
      To find merchant IDs, check transaction details (→ `merchant.id`).
      You can fetch transaction details for a [specific transaction](/docs/api/business#get-transaction#response) or for [all transactions](/docs/api/business#get-transactions#response).
      :::
- `countries` (array of string, optional)
    The list of countries where the team member will be able to use the card.
    Specified as 2-letter [ISO 3166](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) codes.
- `accounts` (array of string)
    The list of accounts that will be linked to the card.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request  Returned, for example, when you provide an invalid card invitation ID in the path. |
| 401 | Unauthorised  Returned, for example, when the credentials you used to make the request are invalid. For more information, see the **Authorization** section. |
| 404 | Card invitation doesn't exist |
